Search Cases
curl --request POST \
--url https://api.duvo.ai/v2/queues/{queue_id}/cases/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {},
"limit": 25,
"offset": 0,
"sort_by": "created_at",
"sort_order": "desc",
"search": "<string>"
}
'import requests
url = "https://api.duvo.ai/v2/queues/{queue_id}/cases/search"
payload = {
"filters": {},
"limit": 25,
"offset": 0,
"sort_by": "created_at",
"sort_order": "desc",
"search": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {},
limit: 25,
offset: 0,
sort_by: 'created_at',
sort_order: 'desc',
search: '<string>'
})
};
fetch('https://api.duvo.ai/v2/queues/{queue_id}/cases/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cases": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"data": "<string>",
"claimed_at": "<string>",
"claimed_by_run_id": "<string>",
"completed_at": "<string>",
"postponed_to": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_name": "<string>",
"created_by_user_email": "<string>",
"agent_run_status": "<string>",
"agent_run_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pending_human_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pending_approval_batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pending_approval_assignee_user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"approval_approved_count": 4503599627370495,
"approval_rejected_count": 4503599627370495,
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"color_hue": 180
}
],
"eval_summary": {
"passed": 123,
"total": 123,
"final_comment": "<string>",
"severityCounts": {
"critical": 4503599627370495,
"medium": 4503599627370495,
"low": 4503599627370495
}
},
"search_match_data_snippet": {
"before": "<string>",
"match": "<string>",
"after": "<string>"
}
}
],
"total": 123,
"limit": 0,
"offset": 0
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Cases
Search Cases
Search cases in a queue with rich filters (multi-status, date ranges, label-based filters). Use this when the simple query-string filters on GET /v2/teams/:team_id/queues/:queue_id/cases aren’t enough.
POST
/
v2
/
queues
/
{queue_id}
/
cases
/
search
Search Cases
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The queue's unique identifier
Body
application/json
Show child attributes
Show child attributes
Required range:
1 <= x <= 100Required range:
0 <= x <= 9007199254740991Available options:
created_at, updated_at, postponed_to Available options:
asc, desc Was this page helpful?
⌘I